<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>PositionIndicator (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PositionIndicator (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PositionIndicator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/PositionIndicator.html" target="_top">Frames</a></li>
<li><a href="PositionIndicator.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class PositionIndicator" class="title">Class PositionIndicator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.PositionIndicator</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">PositionIndicator</span>
extends java.lang.Object</pre>
<div class="block">Represents a class for rendering a map marker to indicate the current position. The marker is
 surrounded by a circle, the diameter of which illustrates the accuracy of the marked position.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/common/PositioningManager.html" title="class in com.here.android.mpa.common"><code>PositioningManager</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#getAccuracyIndicatorColor--">getAccuracyIndicatorColor</a></span>()</code>
<div class="block">Gets the current color of accuracy indicator circle, returning an ARGB (Alpha/Red/Green/Blue)
 integer color value.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#getMarker--">getMarker</a></span>()</code>
<div class="block">Gets the current marker image.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#getZIndex--">getZIndex</a></span>()</code>
<div class="block">Get the Z index of the position indicator.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#isAccuracyIndicatorVisible--">isAccuracyIndicatorVisible</a></span>()</code>
<div class="block">Gets the current visibility state of the GPS accuracy indicator.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#isSmoothPositionChange--">isSmoothPositionChange</a></span>()</code>
<div class="block">Gets the <code>boolean</code> indicating whether the <code>PositionIndicator</code> position changes
 are animated.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#isVisible--">isVisible</a></span>()</code>
<div class="block">Gets the <code>boolean</code> indicating whether the <code>PositionIndicator</code> instance is
 visible.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setAccuracyIndicatorColor-int-">setAccuracyIndicatorColor</a></span>(int color)</code>
<div class="block">Sets the color of the accuracy indicator circle using an ARGB (Alpha/Red/Green/Blue) integer
 color value.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setAccuracyIndicatorVisible-boolean-">setAccuracyIndicatorVisible</a></span>(boolean visible)</code>
<div class="block">Sets a GPS accuracy indicator for the <code>PositionIndicator</code> to be either visible or
 hidden.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setMarker-com.here.android.mpa.common.Image-">setMarker</a></span>(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> marker)</code>
<div class="block">Sets a marker image, overriding the default marker image.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setSmoothPositionChange-boolean-">setSmoothPositionChange</a></span>(boolean isSmooth)</code>
<div class="block">Sets whether the position indicator changes should be animated.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setVisible-boolean-">setVisible</a></span>(boolean visible)</code>
<div class="block">Sets a <code>PositionIndicator</code> to be either visible or hidden.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setZIndex-int-">setZIndex</a></span>(int index)</code>
<div class="block">Set the Z index of the position indicator.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setMarker-com.here.android.mpa.common.Image-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMarker</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setMarker(<a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> marker)</pre>
<div class="block">Sets a marker image, overriding the default marker image.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>marker</code> - An <code>Image</code> representing the marker used to display the current position on a
            map</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PositionIndicator this object for method chaining.</dd>
</dl>
</li>
</ul>
<a name="getMarker--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarker</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common">Image</a> getMarker()</pre>
<div class="block">Gets the current marker image.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The marker <code>Image</code> used to display the current position on a map</dd>
</dl>
</li>
</ul>
<a name="setVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVisible</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setVisible(boolean visible)</pre>
<div class="block">Sets a <code>PositionIndicator</code> to be either visible or hidden. By default, the position
 indicator is invisible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - A <code>boolean</code> specifying <code>PositionIndicator</code> visibility</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PositionIndicator this object for method chaining.</dd>
</dl>
</li>
</ul>
<a name="isVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVisible</h4>
<pre>public boolean isVisible()</pre>
<div class="block">Gets the <code>boolean</code> indicating whether the <code>PositionIndicator</code> instance is
 visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the <code>PositionIndicator</code> is visible, false otherwise</dd>
</dl>
</li>
</ul>
<a name="setAccuracyIndicatorVisible-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAccuracyIndicatorVisible</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setAccuracyIndicatorVisible(boolean visible)</pre>
<div class="block">Sets a GPS accuracy indicator for the <code>PositionIndicator</code> to be either visible or
 hidden. Accuracy is represented by a circle surrounding the marked position, with a smaller
 diameter representing higher accuracy. The default is the GPS accuracy is visible.
 <p>
 Note: if the <code>PositionIndicator</code> is hidden, the GPS accuracy indicator will be hidden
 as well.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visible</code> - A <code>boolean</code> specifying whether the accuracy indicator should be visible</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PositionIndicator this object for method chaining.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html#setVisible-boolean-"><code>PositionIndicator.setVisible(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="isAccuracyIndicatorVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAccuracyIndicatorVisible</h4>
<pre>public boolean isAccuracyIndicatorVisible()</pre>
<div class="block">Gets the current visibility state of the GPS accuracy indicator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if the GPS accuracy indicator is visible, false otherwise</dd>
</dl>
</li>
</ul>
<a name="setAccuracyIndicatorColor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAccuracyIndicatorColor</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setAccuracyIndicatorColor(int color)</pre>
<div class="block">Sets the color of the accuracy indicator circle using an ARGB (Alpha/Red/Green/Blue) integer
 color value. The default line color is <code>Color.GREEN</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>color</code> - The ARGB integer color value. The packed integer is made up of 4 bytes: alpha,
            red, green, blue. Each color component has a value range from [0..255] with 0
            meaning no contribution for that component, and 255 meaning 100% contribution</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The updated <code>PositionIndicator</code> itself.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getAccuracyIndicatorColor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccuracyIndicatorColor</h4>
<pre>public int getAccuracyIndicatorColor()</pre>
<div class="block">Gets the current color of accuracy indicator circle, returning an ARGB (Alpha/Red/Green/Blue)
 integer color value.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current ARGB integer color value. The packed integer is made up of 4 bytes:
         alpha, red, green, blue. Each color component has a value range from [0..255], with 0
         meaning no contribution for that component and 255 meaning 100% contribution</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/graphics/Color.html" target="_blank">android.graphics.Color</a></dd>
</dl>
</li>
</ul>
<a name="getZIndex--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZIndex</h4>
<pre>public int getZIndex()</pre>
<div class="block">Get the Z index of the position indicator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int current z index.</dd>
</dl>
</li>
</ul>
<a name="setZIndex-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setZIndex</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setZIndex(int index)</pre>
<div class="block">Set the Z index of the position indicator. The default Z-Index is currently the max value
 supported.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>index</code> - A new z-index value for the <code>MapObject</code>, a 16-bit <code>int</code> within the
            range of [0..65535]</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PositionIndicator this object for method chaining.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapObject.html#setZIndex-int-"><code>MapObject.setZIndex(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setSmoothPositionChange-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSmoothPositionChange</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> setSmoothPositionChange(boolean isSmooth)</pre>
<div class="block">Sets whether the position indicator changes should be animated.

 <p>Note, this functionality does not work for <code>MapUpdateMode.ROADVIEW</code> and
 <code>MapUpdateMode.ROADVIEW_NOZOOM</code> modes in navigation.</p>

 <p>
 IMPORTANT: This is a Beta feature and is subject to change without notice.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isSmooth</code> - whether position changes should be animated.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>PositionIndicator this object for method chaining.</dd>
</dl>
</li>
</ul>
<a name="isSmoothPositionChange--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isSmoothPositionChange</h4>
<pre>public boolean isSmoothPositionChange()</pre>
<div class="block">Gets the <code>boolean</code> indicating whether the <code>PositionIndicator</code> position changes
 are animated.

 <p>
 IMPORTANT: This is a Beta feature and is subject to change without notice.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>True if position changes are animated.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PositionIndicator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/PositionIndicator.html" target="_top">Frames</a></li>
<li><a href="PositionIndicator.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
